Description
Quick fore-note:

e This situation is with 'Close to system tray' Checkbox enabled. In the settings of: 'Status Icon' Plugin enabled.
e There are 2 separate feature enhancements being requested here. Sorry about that. The (2) is a secondary enhancement.

So what's the problem then? Well | want to minimize to tray with the keyboard. But 'QTRL + Q' will quit audacious entirely. So the
music stops playing. But | just want minimize to tray instead. By the keyboard. How to have some keyboard shortcut which is
equivalent of closing the 'X' button in the corner of the window?

However | have not

(2) And unfortunately in audacious, normally closing the current tab ('CTRL+W'), if it is a playlist. Which is a force of habit. But in your
app, it seems to mean deleting the current playlist. This is not good either! If there is not any other backup copy of your playlist! With
not any 'Are you sure?' confirmation dialog either. It just gets immediately deleted.

Perhaps closing a playlist should keep it existing in 'Playlist manager' window. And just hide the open tab view of that playlist. Then
people can delete using the manager window instead. Any way we can change this, so the playlist is not automatically deleted by

mistaken 'CTRL + W' without any save prompt etc?

Thanks for considering these usability enhancements.

History

#1 - January 07, 2019 15:24 - John Lindgren

1. Alt-F4 will minimize to the system tray if you have the 'Close to system tray' checkbox checked.

2. There is normally an "Are you sure?" prompt unless you have disabled it (check for and remove no_confirm_playlist_delete=TRUE from your
configuration file).

#2 - January 07, 2019 19:52 - Dreamcat Four

John Lindgren wrote:

1. Alt-F4 will minimize to the system tray if you have the 'Close to system tray' checkbox checked.

Thank you!
Actually | have trouble with that shortcut due to laptop style keyboard requireing Fn key held down (to do any alt+F number).

However another mechanism quickly found, in the 'Global Hotkeys' plugin --> [Add] --> 'Toggle Player Windows'. Which | bound to a spare unused
Media Key.

2. There is normally an "Are you sure?" prompt unless you have disabled it (check for and remove no_confirm_playlist_delete=TRUE from your
configuration file).
Thank you. | must have clicked the 'Don't show ever again' checkbox at some point in time.

So this is also solved OK enough now (for me). Against the accidental deletion by mistake. Due to my liberal CTRL+W habits.

However | still believe that for other usability reason(s), that CTRL+W is not the most ideal shortcut to directly invoke the mechanism to definitely
remove a playlist. In most other applications, CTRL+W merely means to close the current window viewport or the current tab viewport. Rather than
actually delete a previously saved user data. Which a playlist is (a saved user data), given that it is automatically saved between program sessions.
Perhaps a different shortcut, with an extra modifier key. Would be more appropriate to say 'i want to delete this entire playlist'. For example:
CTRL+backspace or CTRL+delete would be a way to differentiate between deleting the currently selected song(s) and deleting the entire playlist

itself. At least that is what is often found in other programs.

My point about the Playlist manager still holding the list of all playlists remains valid, | believe. And is a better location from which to permanently
delete a playlist.

Then having CTRL+W simply closing the current view of the playlist. For example this is better for an individual who has creates and maintains quite
a lot of playlists. Yet only wanting to have a few actually active and open as visible tabs at a specific time.

Maybe a DJ, or the program is being shared amongst multiple DJs, who are sharing the same piece of equipment. They might have to change sets
quickly and without the interruption of restarting of the program, to load a different user configuration, etc. That is just one example. But there are
many other types of individuals who may wish to maintain many more playlists than really cannot all be in opened tabs.

Not me though! | only need about 2-3 playlists. Kind Regards.

#3 - January 07, 2019 21:44 - John Lindgren

Dreamcat Four wrote:

Then having CTRL+W simply closing the current view of the playlist. For example this is better for an individual who has creates and maintains
quite a lot of playlists. Yet only wanting to have a few actually active and open as visible tabs at a specific time.

| agree with this suggestion. A more convenient way to "unload" a playlist from the program (without deleting it from disk) and load it again later
would be nice. You can of course do this today with "Export Playlist" and "Import Playlist", but it's more steps to click through.

| don't have time to implement it right now, but it would be a good enhancement for a future version.
#4 - January 07, 2019 21:44 - John Lindgren

- Subject changed from Way to close the main window, keep audacious running in tray, and (2) without deleting current playlist by mistake to Add a
way to close/unload a playlist without deleting it from disk

#5 - March 05, 2022 14:49 - John Lindgren

Closing feature requests that have seen no activity in 3 years.

#6 - March 05, 2022 14:50 - John Lindgren

- Status changed from New to Rejected

May 08, 2025 3/3


http://www.tcpdf.org

